## ros-melodic-leo-gazebo 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(leo_gazebo)

# Set CMP0054
cmake_policy(SET CMP0054 NEW)

find_package(catkin REQUIRED 
  COMPONENTS
    roscpp
)
find_package(gazebo REQUIRED)

catkin_package(
  LIBRARIES
    gazebo_differential_plugin
  CATKIN_DEPENDS 
    roscpp
    gazebo_ros
)

include_directories(${catkin_INCLUDE_DIRS} ${GAZEBO_INCLUDE_DIRS})
link_directories(${GAZEBO_LIBRARY_DIRS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GAZEBO_CXX_FLAGS}")

add_library(
  gazebo_differential_plugin 
  src/differential_plugin.cpp
)
target_link_libraries(gazebo_differential_plugin ${GAZEBO_LIBRARIES})

foreach(dir launch config models worlds)
  install(
    DIRECTORY ${dir}/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir}
  )
endforeach(dir)

catkin_install_python(
  PROGRAMS scripts/odom_relay
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
  TARGETS gazebo_differential_plugin
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-melodic-leo-gazebo (0.1.3-1stretch) stretch; urgency=high

  * Use gazebo_dev dependency instead of gazebo (fix building on debian)
  * Update package description

 -- Błażej Sowa <blazej@turtlerover.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-leo-gazebo (0.1.2-1stretch) stretch; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 06 Oct 2020 00:00:00 -0000

ros-melodic-leo-gazebo (0.1.1-1stretch) stretch; urgency=high

  * Fixed binary release build
  * Added gazebo to dependencies

 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 25 Sep 2020 00:00:00 -0000

ros-melodic-leo-gazebo (0.1.0-1stretch) stretch; urgency=high

  * Added marsyard world and marsyard terrain model
  * Initial package version

 -- Błażej Sowa <blazej@turtlerover.com>  Thu, 24 Sep 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-leo-gazebo
Section: misc
Priority: optional
Maintainer: Błażej Sowa <blazej@turtlerover.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-gazebo-dev, ros-melodic-gazebo-ros, ros-melodic-roscpp
Homepage: http://wiki.ros.org/leo_gazebo
Standards-Version: 3.9.2

Package: ros-melodic-leo-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-compressed-image-transport, ros-melodic-diff-drive-controller, ros-melodic-gazebo-dev, ros-melodic-gazebo-plugins, ros-melodic-gazebo-ros, ros-melodic-gazebo-ros-control, ros-melodic-geometry-msgs, ros-melodic-joint-state-controller, ros-melodic-leo-description, ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-topic-tools
Description: Launch files and other resources for simulating Leo Rover in Gazebo.

## ros-melodic-leo-gazebo 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 catkin_package(
   LIBRARIES
-    gazebo_differential_plugin
+    leo_gazebo_differential_plugin
   CATKIN_DEPENDS 
     roscpp
     gazebo_ros
@@ -23,10 +23,10 @@
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GAZEBO_CXX_FLAGS}")
 
 add_library(
-  gazebo_differential_plugin 
+  leo_gazebo_differential_plugin 
   src/differential_plugin.cpp
 )
-target_link_libraries(gazebo_differential_plugin ${GAZEBO_LIBRARIES})
+target_link_libraries(leo_gazebo_differential_plugin ${GAZEBO_LIBRARIES})
 
 foreach(dir launch config models worlds)
   install(
@@ -41,6 +41,6 @@
 )
 
 install(
-  TARGETS gazebo_differential_plugin
+  TARGETS leo_gazebo_differential_plugin
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
 )

=== debian/changelog ===
ros-melodic-leo-gazebo (0.2.0-1bionic) bionic; urgency=high

  * Specify minimum version for leo_description dependency
  * Abandon usage of tf_prefix parameter since it is deprecated
  * Use new URDF from the leo_description package
  * Pass all args from main launch file
  * Change gazebo_differential_plugin to leo_gazebo_differential_plugin

 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 18 Dec 2020 00:00:00 -0000

ros-melodic-leo-gazebo (0.1.3-1bionic) bionic; urgency=high

  * Use gazebo_dev dependency instead of gazebo (fix building on debian)
  * Update package description

 -- Błażej Sowa <blazej@turtlerover.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-leo-gazebo (0.1.2-1bionic) bionic; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 06 Oct 2020 00:00:00 -0000

ros-melodic-leo-gazebo (0.1.1-1bionic) bionic; urgency=high

  * Fixed binary release build
  * Added gazebo to dependencies

 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 25 Sep 2020 00:00:00 -0000

ros-melodic-leo-gazebo (0.1.0-1bionic) bionic; urgency=high

  * Added marsyard world and marsyard terrain model
  * Initial package version

 -- Błażej Sowa <blazej@turtlerover.com>  Thu, 24 Sep 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-leo-gazebo
Section: misc
Priority: optional
Maintainer: Błażej Sowa <blazej@turtlerover.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-gazebo-dev, ros-melodic-gazebo-ros, ros-melodic-roscpp
Homepage: http://wiki.ros.org/leo_gazebo
Standards-Version: 3.9.2

Package: ros-melodic-leo-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-compressed-image-transport, ros-melodic-diff-drive-controller, ros-melodic-gazebo-dev, ros-melodic-gazebo-plugins, ros-melodic-gazebo-ros, ros-melodic-gazebo-ros-control, ros-melodic-geometry-msgs, ros-melodic-joint-state-controller, ros-melodic-leo-description (>= 1.2.0), ros-melodic-nav-msgs, ros-melodic-roscpp, ros-melodic-topic-tools
Description: Launch files and other resources for simulating Leo Rover in Gazebo.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-leo-gazebo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
